Bug 2621 - do not compress emty placeholders for obsolete code
: do not compress emty placeholders for obsolete code
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/emacs21-common)
: unstable
: all Linux
: P5 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-05-28 14:22 by
Modified: 2005-10-24 22:33 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-05-28 14:22:37
emacs-mode-tdtd calls a function from
/usr/share/emacs/21.3/lisp/obsolete/rsz-mini.elc.gz. All definitons there are
empty. So it makes no sense to compress it.

Probably the .elc-files corresponding to the following .el-files shouldn\'t be
compresed:

$ zgrep \\#autoload /usr/share/emacs/21.3/lisp/obsolete/* | sort -u
/usr/share/emacs/21.3/lisp/obsolete/auto-show.el.gz:;;;###autoload
/usr/share/emacs/21.3/lisp/obsolete/hscroll.el.gz:;;;###autoload
/usr/share/emacs/21.3/lisp/obsolete/rsz-mini.el.gz:;;;###autoload

There is one more file with \\#autoload:

$ bzgrep \\#autoload /usr/share/emacs/21.3/lisp/obsolete/* | sort -u
/usr/share/emacs/21.3/lisp/obsolete/rnewspost.el.bz2:;;;###autoload

but it is not empty -- let it remain compressed.

---

---
emacs-common-21.3-alt4.1
------- Comment #1 From 2004-04-29 12:30:06 -------
переназначено 
 
------- Comment #2 From 2005-10-15 14:36:24 -------
Этот баг тоже давно исправлен - в emacs21-21.3-alt6.
Просьба изменить на FIXED.
------- Comment #3 From 2005-10-17 11:43:07 -------
Изменяю сам